what4-1.6.3: Solver-agnostic symbolic values support for issuing queries

Copyright | (c) Galois Inc 2013-2020
License | BSD3
Maintainer | Joe Hendrix <jhendrix@galois.com>
Stability | provisional
Safe Haskell | None
Language | Haskell2010

What4.Utils.Environment

Description

Provides functions for finding an executable, and expanding a path with referenced to environment variables.

Synopsis

- findExecutable :: (MonadIO m, MonadFail m) => FilePath -> m FilePath
- expandEnvironmentPath :: Map String String -> String -> IO String

# Documentation

findExecutable Source #

Arguments

:: (MonadIO m, MonadFail m) |
=> FilePath | Path to expand
-> m FilePath |

Find an executable from a string.

expandEnvironmentPath :: Map String String -> String -> IO String Source #